Commit 31d8362a authored by Adriaan de Groot's avatar Adriaan de Groot 💬
Browse files

CMake: find Qt5::Core at top-level

Both openSUSE and FreeBSD were failing (on april 1) in the cmake-stage with

```
CMake Error at kpartloader/CMakeLists.txt:34 (add_executable):
  Target "kpartloader" links to target "Qt5::Core" but the target was not
  found.  Perhaps a find_package() call is missing for an IMPORTED target, or
  an ALIAS target is missing?
```

with current frameworks, this is reproducible. Although I don't know
what is making Qt5::Core vanish, finding it at top-level makes
the error go away.
parent 3552c1da
Pipeline #159137 passed with stage
in 42 seconds
......@@ -26,6 +26,7 @@ include(FeatureSummary)
# Required for ki18n_install(po)
find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n)
find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core)
add_definitions(
-DQT_DISABLE_DEPRECATED_BEFORE=0x050F00
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment